import { useEffect } from 'react';
/**
 * Подписка на стор, чтобы актуализировать локальную копию
 */
export function useConnectStore(store, setState) {
    useEffect(function () {
        var sub = store.state$.subscribe(function (state) {
            setState(state);
        });
        return function () {
            sub.unsubscribe();
        };
    }, [store, setState]);
}
//# sourceMappingURL=useConnectStore.js.map