"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
/**
 * Подписка на стор, чтобы актуализировать локальную копию
 */
function useConnectStore(store, setState) {
    react_1.useEffect(function () {
        var sub = store.state$.subscribe(function (state) {
            setState(state);
        });
        return function () {
            sub.unsubscribe();
        };
    }, [store, setState]);
}
exports.useConnectStore = useConnectStore;
//# sourceMappingURL=useConnectStore.js.map